Health
Health and status.
2 endpoints.
GET
/v1/healthLiveness and dependencies (no auth)
No key needed
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
deep | query | boolean | no | default false |
Responses
- 200Successful Response
HealthOut
GET
/v1/statusPublic status summary (status page)
No key needed
Responses
- 200Successful Response
StatusOut
Data shapes on this page
HealthOut
| Name | Type | Required | Description |
|---|---|---|---|
status | "ok" | "degraded" | "down" | yes | |
version | string | yes | |
checks | map<string, "ok" | "degraded" | "down" | "skipped"> | no |
StatusOut
| Name | Type | Required | Description |
|---|---|---|---|
status | "operational" | "degraded" | "partial_outage" | "major_outage" | yes | |
components | map<string, "operational" | "degraded" | "partial_outage" | "major_outage"> | yes | |
announcements | AnnouncementOut[] | no | |
updated_at | string (date-time) | yes |
AnnouncementOut
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
kind | "incident" | "maintenance" | "info" | yes | |
severity | "info" | "minor" | "major" | "critical" | yes | |
title | map<string, string> | yes | |
body | map<string, string> | no | |
starts_at | string (date-time) | yes | |
ends_at | string (date-time) | null | no |